IdentifyRequest Class

Request body for identify face operation.

All required parameters must be populated in order to send to Azure.

Inheritance
IdentifyRequest

Constructor

IdentifyRequest(*, face_ids, person_group_id: Optional[str] = None, large_person_group_id: Optional[str] = None, max_num_of_candidates_returned: int = 1, confidence_threshold: Optional[float] = None, **kwargs)

Parameters

face_ids
list[str]
Required

Required. Array of query faces faceIds, created by the Face - Detect. Each of the faces are identified independently. The valid number of faceIds is between [1, 10].

person_group_id
str
Required

PersonGroupId of the target person group, created by PersonGroup - Create. Parameter personGroupId and largePersonGroupId should not be provided at the same time.

large_person_group_id
str
Required

LargePersonGroupId of the target large person group, created by LargePersonGroup - Create. Parameter personGroupId and largePersonGroupId should not be provided at the same time.

max_num_of_candidates_returned
int
Required

The range of maxNumOfCandidatesReturned is between 1 and 100 (default is 1). Default value: 1 .

confidence_threshold
float
Required

Confidence threshold of identification, used to judge whether one face belong to one person. The range of confidenceThreshold is [0, 1] (default specified by algorithm).